# Set-up caosdb-julialib

The setup of this package consists of first compiling the c++ wrapper
classes in `jlcaosdb` and then installing the Julia package
`CaosDB.jl` itself. Hopefully, the process can be simplified by
providing binary JLL packages in the future.

## Prerequisites

1. Build
   [lbicxxwrap-julia](https://github.com/JuliaInterop/libcxxwrap-julia)
   from source and install it to a location where it is found by cmake
   later on by specifying a `CMAKE_INSTALL_PREFIX` (alternatively, add
   this location to your `CMAKE_PREFIX_PATH`). You may have to create
   an override as explained in the
   [documentation](https://github.com/JuliaInterop/libcxxwrap-julia#using-the-compiled-libcxxwrap-julia-in-cxxwrap)
   of libcxxwrap in order to use the compiled version and not theone
   that is shipped with CxxWrap.jl.
2. In the same way, build and install
   [libcaosdb](https://gitlab.com/caosdb/caosdb-cpplib) in a way that
   it is visible to cmake when compiling the wrapper classes later on.

**TODO**: Explain installation (with Pkg.jl), running tests,
dependencies, etc.
